## fftw 1.0-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: fftw
-Version: 1.0-1
+Version: 1.0-2
 Title: Fast FFT and DCT based on FFTW
 Description: Provides a simple and efficient wrapper around the fastest
         Fourier transform in the west (FFTW) library.
@@ -11,6 +11,6 @@
 SystemRequirements: fftw3 (>= 3.1.2)
 License: GPL-2
 Date:
-Packaged: 2010-01-28 17:39:38 UTC; olafm
+Packaged: 2010-04-05 16:12:32 UTC; olafm
 Repository: CRAN
-Date/Publication: 2010-01-29 07:52:53
+Date/Publication: 2010-04-05 16:14:29
