## fftw 1.0-3

=== DESCRIPTION ===
Package: fftw
Version: 1.0-3
Title: Fast FFT and DCT based on FFTW
Description: Provides a simple and efficient wrapper around the fastest
        Fourier transform in the west (FFTW) library.
Author: Sebastian Krey <skrey@statistik.tu-dortmund.de> Uwe Ligges
        <ligges@statistik.tu-dortmund.de> Olaf Mersmann
        <olafm@statistik.tu-dortmund.de>
Maintainer: Olaf Mersmann <olafm@statistik.tu-dortmund.de>
Depends: R (>= 2.12.0)
SystemRequirements: fftw3 (>= 3.1.2)
License: GPL-2
Date:
Packaged: 2011-04-20 08:49:10 UTC; olafm
Repository: CRAN
Date/Publication: 2011-04-24 07:08:12
