## fftw 1.0-5

=== DESCRIPTION ===
Package: fftw
Version: 1.0-5
Title: Fast FFT and DCT Based on the FFTW Library
Description: Provides a simple and efficient wrapper around the fastest
        Fourier transform in the west (FFTW) library <http://www.fftw.org/>.
Authors@R: c( person("Olaf", "Mersmann", email="olafm@p-value.net",
        role=c("aut")), person("Sebastian", "Krey",
        email="skrey@statistik.tu-dortmund.de", role=c("ctb")),
        person("Uwe", "Ligges",
        email="ligges@statistik.tu-dortmund.de", role=c("ctb", "cre")) )
Depends: R (>= 3.0.0)
SystemRequirements: fftw3 (>= 3.1.2)
License: GPL-2
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2019-03-04 12:47:53 UTC; ligges
Author: Olaf Mersmann [aut],
  Sebastian Krey [ctb],
  Uwe Ligges [ctb, cre]
Maintainer: Uwe Ligges <ligges@statistik.tu-dortmund.de>
Repository: CRAN
Date/Publication: 2019-03-04 13:50:09 UTC
