=== doc/Makefile ===
# $Id: Makefile,v 1.9 1997/03/19 23:27:04 fftw Exp $

DOC = fftw
WWWDOC=$(HOME)/WWW/doc

all:	html info dvi ps

html:	$(DOC).texi
	perl texi2html -split_chapter -no_toc_href $(DOC).texi

info:	$(DOC).texi
	makeinfo $(DOC).texi

dvi:	$(DOC).texi
	tex $(DOC).texi
	tex $(DOC).texi

ps:	dvi
	dvips -o $(DOC).ps $(DOC).dvi

install-html: html
	cp *.html *.gif $(WWWDOC)

realclean: clean
	rm -f *.html *.info *.dvi *.ps

clean:  
	rm -f *.aux *.cp *.fn *.ky *.log *.pg *~ *.toc *.tp *.vr
