=== mpi/Makefile ===
TRANSPOSE_DIR = transpose_mpi
TRANSPOSE_LIB = $(TRANSPOSE_DIR)/transpose_mpi.o \
                $(TRANSPOSE_DIR)/TOMS_transpose.o

FFTW_DIR = ../src
FFTW_LIB = $(FFTW_DIR)/libfftw.a

INC = -I$(TRANSPOSE_DIR) -I. -I$(FFTW_DIR)

# Solaris:
CC = mpicc
CFLAGS = -native -fast -xO5 -dalign -DSOLARIS $(INC)

all: test_fftwnd_mpi time_fftwnd_mpi

test_fftwnd_mpi: test_fftwnd_mpi.o fftwnd_mpi.o $(TRANSPOSE_LIB) \
			$(FFTW_LIB)
	$(CC) $(CFLAGS) test_fftwnd_mpi.o fftwnd_mpi.o $(TRANSPOSE_LIB) \
		$(FFTW_LIB) -lm -o test_fftwnd_mpi

time_fftwnd_mpi: time_fftwnd_mpi.o fftwnd_mpi.o $(TRANSPOSE_LIB) \
			$(FFTW_LIB)
	$(CC) $(CFLAGS) time_fftwnd_mpi.o fftwnd_mpi.o $(TRANSPOSE_LIB) \
		$(FFTW_LIB) -lm -o time_fftwnd_mpi

clean:
	rm -f *.o core a.out test_fftwnd_mpi time_fftwnd_mpi *~
