=== rfftw/Makefile ===
# $Id: Makefile,v 1.3 1997/08/26 21:21:00 fftw Exp $

FFTWDIR=../src
LIBFFT = $(FFTWDIR)/libfftw.a
HEADERS = $(FFTWDIR)/fftw.h
INCLUDE = -I$(FFTWDIR)

# The default, gcc:
CC = gcc
CFLAGS = -O6 -Wall $(INCLUDE)

# Solaris compiler options:
# CC = cc
# CFLAGS = -DSOLARIS -fast -xO5 -native -dalign $(INCLUDE)

all:	test_rfftw time_rfftw

test_rfftw:	test_rfftw.c rfftw.o rfftwnd.o
	$(CC) $(CFLAGS) -o test_rfftw test_rfftw.c \
		rfftwnd.o rfftw.o $(LIBFFT) -lm

time_rfftw:	time_rfftw.c rfftw.o
	$(CC) $(CFLAGS) -o time_rfftw time_rfftw.c \
		rfftwnd.o rfftw.o $(LIBFFT) -lm

clean:
	rm -f *.o *~ core a.out test_rfftw time_rfftw gmon.out mon.out *.s
