=== tests/Makefile ===
# $Id: Makefile,v 1.10 1997/07/07 15:25:07 fftw Exp $

FFTWDIR=../src
LIBFFT = $(FFTWDIR)/libfftw.a
HEADERS = $(FFTWDIR)/fftw.h
INCLUDE = -I$(FFTWDIR)

# Generic gcc
CC = gcc
CFLAGS = -O6 -fomit-frame-pointer -Wall $(INCLUDE)

# WARNING: Solaris' compiler apparently produces wrong code
# for go_fft.c when -xO5 is enabled.  Please stick with -xO2

# Solaris:
# CC = cc
# CFLAGS = -DSOLARIS -native -fast -xO2 -dalign $(INCLUDE)

# IBM RS/6000:
# CC=cc
# CFLAGS = -O3 -qarch=pwrx -qtune=pwrx $(INCLUDE)

# SGI Onyx
# CC=cc
# CFLAGS=-64 -r10000 -O3 $(INCLUDE)

all:	fftw_test testnd

fftw_test:	fftw_test.c $(LIBFFT)
	$(CC) $(CFLAGS) -o fftw_test fftw_test.c $(LIBFFT) -lm

testnd:	testnd.c go_fft.c $(LIBFFT)
	$(CC) $(CFLAGS) -o testnd testnd.c go_fft.c $(LIBFFT) -lm

clean:
	rm -f *.o *~ core a.out test testnd gmon.out mon.out *.s
