=== cilk/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-FFTWDIR = ../src
+FFTWDIR = ../fftw
 FFTW_INCLUDE = -I$(FFTWDIR)
-OTHER_FFTW_OBJECTS = malloc.o twiddle.o planner.o config.o
+OTHER_FFTW_OBJECTS = malloc.o twiddle.o planner.o config.o putils.o rader.o
 FFTW_LIB_NON_CILK = $(FFTWDIR)/f*.o $(FFTWDIR)/generic.o \
                     $(FFTWDIR)/timer.o $(FFTWDIR)/executor.o \
-                    $(FFTWDIR)/wisdom.o $(FFTWDIR)/common_io.o
+                    $(FFTWDIR)/wisdom.o $(FFTWDIR)/wisdomio.o 
 
 FFTW_LIB = $(FFTW_LIB_NON_CILK) $(OTHER_FFTW_OBJECTS)
 
@@ -27,30 +27,27 @@
 
 tests: test_cilk time_cilk
 
-nd:     test_cilk.nd
-
-ndl:    test_cilk.ndl
-
 RM = rm
 
 clean:	
-	$(RM) *.o core malloc.cilk planner.cilk executor.cilk config.cilk \
+	$(RM) -f *.o core malloc.cilk planner.cilk executor.cilk config.cilk \
               twiddle.cilk test_cilk time_cilk test_cilk.nd test_cilk.ndl \
+	      putils.cilk rader.cilk \
               a.out *~ *.s *.bak 
 
-realclean: clean
-	$(RM) $(LIBFFTW_CILK)
+distclean: clean
+	$(RM) -f $(LIBFFTW_CILK) test_cilk time_cilk *.out
 
 ####################### Cilk Libraries, etc. ####################
 
 # set this to point to the Cilk distribution directory.
-CILK_DIR = /usr/local/6.892/cilk
+CILK_DIR = $(HOME)/sandbox/cilk
 
 # include makefile from distribution directory
 include $(CILK_DIR)/Makefile.common
 
 # set this to a version of gcc that uses the GNU linker:
-CC = /usr/local/cilk/bin/gcc
+CC = gcc
 
 # Set this to 1/2/3 to enable critical path measurements (slow)
 CILK_CRITICAL_PATH=0
@@ -64,7 +61,8 @@
 AR = ar
 
 config.cilk: $(FFTWDIR)/config.c
-	cp $(FFTWDIR)/config.c config.cilk
+	(echo "#include <cilk.h>"; \
+	cat $(FFTWDIR)/config.c) >config.cilk
 
 malloc.cilk: $(FFTWDIR)/malloc.c
 	cp $(FFTWDIR)/malloc.c malloc.cilk
@@ -75,11 +73,21 @@
 planner.cilk: $(FFTWDIR)/planner.c
 	cp $(FFTWDIR)/planner.c planner.cilk
 
-%.o:	%.c $(HEADERS)
+putils.cilk: $(FFTWDIR)/putils.c
+	cp $(FFTWDIR)/putils.c putils.cilk
+
+rader.cilk: $(FFTWDIR)/rader.c
+	cp $(FFTWDIR)/rader.c rader.cilk
+
+
+%.o:	%.c $(HEADERS) $(CILK_DIR)/Makefile.common Makefile
 	$(CC) $(MY_CFLAGS) -c $< -o $@
 
-%.c:	%.cilk $(HEADERS) $(CILK2C)
-	$(CILK2C) $(CILK2CFLAGS) -- $(MY_CFLAGS) -- $< -o $@ 
+%.s:	%.c $(HEADERS) $(CILK_DIR)/Makefile.common Makefile
+	$(CC) $(MY_CFLAGS) -S $< -o $@
+
+%.c:	%.cilk $(HEADERS) $(CILK2C) $(CILK_DIR)/Makefile.common Makefile
+	$(CILK2C) $(CILK2CFLAGS) -- $(MY_CFLAGS) -- $< -o $@
 
 $(LIBFFTW_CILK): executor_cilk.o fftwnd_cilk.o $(OTHER_FFTW_OBJECTS)
 	$(RM) -f $(LIBFFTW_CILK)
