=== mpi/Makefile ===
--- 
+++ 
@@ -2,8 +2,8 @@
 TRANSPOSE_LIB = $(TRANSPOSE_DIR)/transpose_mpi.o \
                 $(TRANSPOSE_DIR)/TOMS_transpose.o
 
-FFTW_DIR = ../src
-FFTW_LIB = $(FFTW_DIR)/libfftw.a
+FFTW_DIR = ../fftw
+FFTW_LIB = $(FFTW_DIR)/.libs/libfftw.a
 
 INC = -I$(TRANSPOSE_DIR) -I. -I$(FFTW_DIR)
 
@@ -23,5 +23,7 @@
 	$(CC) $(CFLAGS) time_fftwnd_mpi.o fftwnd_mpi.o $(TRANSPOSE_LIB) \
 		$(FFTW_LIB) -lm -o time_fftwnd_mpi
 
+distclean: clean
+
 clean:
 	rm -f *.o core a.out test_fftwnd_mpi time_fftwnd_mpi *~
