=== threads/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-FFTWDIR = ../src
+FFTWDIR = ../fftw
 FFTW_INCLUDE = -I$(FFTWDIR)
-FFTW_LIB = $(FFTWDIR)/libfftw.a
+FFTW_LIB = $(FFTWDIR)/.libs/libfftw.a
 
 LIBFFTW_THREADS = libfftw_threads.a
 
@@ -21,6 +21,10 @@
 
 # BeOS threads: (tested for DR8.2)
 # FFTW_THREADS = FFTW_USING_BEOS_THREADS
+# FFTW_THREADLIB =   # ...add any libraries here that need to be linked in
+
+# Win32 threads: (reported by users as working in NT with MS compilers)
+# FFTW_THREADS = FFTW_USING_WIN32_THREADS
 # FFTW_THREADLIB =   # ...add any libraries here that need to be linked in
 
 ##### Defining the compilers used, etc.   #####
@@ -59,15 +63,15 @@
 
 LIBFFTW_THREADS_OBJ = executor_threads.o fftwnd_threads.o fftw_threads.o
 
-all:	$(LIBFFTW_THREADS)
+all:	$(LIBFFTW_THREADS) tests
 
 tests: test_threads time_threads
 
 clean:	
 	$(RM) -f *.o core a.out *~ *.s *.bak
 
-realclean: clean
-	$(RM) -f $(LIBFFTW_THREADS) test_threads time_threads
+distclean: clean
+	$(RM) -f $(LIBFFTW_THREADS) test_threads time_threads *.out
 
 %.o:	%.c $(HEADERS)
 	$(CC) $(CFLAGS) -c $< -o $@
@@ -84,9 +88,9 @@
 
 test_threads: test_threads.o $(LIBFFTW_THREADS)
 	$(CC) $(LDFLAGS) test_threads.o \
-              $(LIBS) $(LIBFFTW_THREADS) -o test_threads
+              $(LIBFFTW_THREADS) $(LIBS) -o test_threads
 
 time_threads: time_threads.o $(LIBFFTW_THREADS)
 	$(CC) $(LDFLAGS) time_threads.o \
-              $(LIBS) $(LIBFFTW_THREADS) -o time_threads
+              $(LIBFFTW_THREADS) $(LIBS) -o time_threads
