=== mpi/transpose_mpi/Makefile ===
CC = mpicc
CFLAGS = -native -fast -xO5 -dalign -DSOLARIS -I.

all: test_transpose_mpi

test_transpose_mpi: transpose_mpi.o test_transpose_mpi.o TOMS_transpose.o
	$(CC) $(CFLAGS) transpose_mpi.o test_transpose_mpi.o \
                        TOMS_transpose.o -o test_transpose_mpi

clean:
	rm -f *.o core a.out test_transpose_mpi *~
