## fftw 2.1.3

=== cilk/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 CILK_DIR = $(HOME)/sandbox/cilk
 
 # include makefile from distribution directory
-include $(CILK_DIR)/Makefile.common
+-include $(CILK_DIR)/Makefile.common
 
 # set this to a version of gcc that uses the GNU linker:
 CC = gcc
@@ -80,13 +80,13 @@
 	cp $(FFTWDIR)/rader.c rader.cilk
 
 
-%.o:	%.c $(HEADERS) $(CILK_DIR)/Makefile.common Makefile
+%.o:	%.c $(HEADERS)  Makefile
 	$(CC) $(MY_CFLAGS) -c $< -o $@
 
-%.s:	%.c $(HEADERS) $(CILK_DIR)/Makefile.common Makefile
+%.s:	%.c $(HEADERS)  Makefile
 	$(CC) $(MY_CFLAGS) -S $< -o $@
 
-%.c:	%.cilk $(HEADERS) $(CILK2C) $(CILK_DIR)/Makefile.common Makefile
+%.c:	%.cilk $(HEADERS) $(CILK2C)  Makefile
 	$(CILK2C) $(CILK2CFLAGS) -- $(MY_CFLAGS) -- $< -o $@
 
 $(LIBFFTW_CILK): executor_cilk.o fftwnd_cilk.o $(OTHER_FFTW_OBJECTS)
