=== debian/changelog ===
fftw (2.1.5-6) unstable; urgency=medium

  * Team upload.
  * DEP3
  * Enable architecture all builds
  * Enhance clean target
  * Do not run configure twice (in arch and indep build) to ensure
    libsfftw will be properly build
    Closes: #999821

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2022 16:38:42 +0100

fftw (2.1.5-5) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Change priority extra to priority optional.

  [ Andreas Tille ]
  * Add watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Remove Section on fftw2, Section on fftw-dev, Section on sfftw2, Section on
    sfftw-dev that duplicate source.
  * Apply multi-arch hints.
    + fftw-docs: Add Multi-Arch: foreign.
  * Machine readable copyright
  * Switch to dh
  * Enable dh_missing --failmissing (as per dh compat 13)
  * Use Debian packaged texi2html
    Closes: #800653

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2021 16:53:14 +0100

fftw (2.1.5-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Unescaped left brace in regex is deprecated here":
    add patch fix-texi2html-perl526.patch to fix Perl 5.26 regexp
    warnings/errors.
    (Closes: #871367)
  * Add support for DEB_BUILD_OPTIONS=nocheck in debian/rules.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Aug 2017 03:22:14 +0200

fftw (2.1.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS due to bfnnconv.pl failing to execute m-ascii.pl (.
    removed from @INC in perl)":
    add patch adding "./" to the require() calls in FAQ/bfnnconv.pl.
    (Closes: #837055)

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2016 14:15:51 +0200

fftw (2.1.5-4) unstable; urgency=medium

  * Team upload
  * Bug fix: "Removal of debhelper compat 4", thanks to
    niels@thykier.net</a>; (Closes: #817452).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 12 Jul 2016 09:42:31 +0200

fftw (2.1.5-3) unstable; urgency=medium

  * Team upload.
  * Run wrap-and-sort.
  * Packaging moved to git, set correctly Vcs-Git and Vcs-Browser.
  * remove useless debian/*dirs files.
  * Fix FTBFS with perl 5.22.  Closes: #811223
    Thanks to Graham Inggs <ginggs@debian.org> for the patch!
  * Use DEB_HOST_ARCH_CPU instead of DEB_HOST_ARCH to correctly optimize for
    non-linux architectures too.  Closes: #674762
    Thanks: Robert Millan <rmh@debian.org> for the patch!

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 12 Feb 2016 23:09:00 +0000

fftw (2.1.5-2) unstable; urgency=low

  * Team upload.
  * Bug fix: "FTBFS with TZ=GMT-14", thanks to Holger Levsen (Closes:
    #786694).
  * Fix fftw.texi and make sure it is always rebuilt.
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 23 Jun 2015 11:48:16 +0200

fftw (2.1.5-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Package moved into the Debian Science team (no answer from the previous
    maintainer) and package not maintained.
  * Standards-Version updated to version 3.9.2
  * Vcs-Browser & Vcs-Svn updated
  * Switch to mpi-default-dev (Closes: #571446)
  * Get ride of .la files (Closes: #633175)
  * Fix lintian warning debhelper-but-no-misc-depends
  * Fix lintian warning patch-system-but-direct-changes-in-diff
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 29 Nov 2011 01:48:33 +0100

fftw (2.1.3-22) unstable; urgency=low

  * Add missed patches from 2.1.3-20.1 to dpatch (closes: #480908)
  * Call autoreconf to avoid shipping Makefile.inS in diff.gz
  * debian/control: add build-depends on autotools-dev, autoconf and automake
  * debian/control: add build-conflicts on autoconf2.13, automake1.4
  * debian/rules: add build-depends on dpatch
  * debian/rules: use $(CURDIR), not `pwd`
  * debian/rules: do not ignore clean failures
  * debian/control: bump Standards-Version to 3.7.3
  * debian/control: fftw-docs to Section doc
  * debian/control: {,s}fftw-dev use binary:Version, not Source-Version

 -- Paul Brossier <piem@debian.org>  Wed, 14 May 2008 11:23:40 +0200

fftw (2.1.3-21) unstable; urgency=low

  * Acknowledge non-maintainer upload, thanks to Colin Tuckley
    (closes: #466366)
  * Fix bashism in debian/rules, thanks to Chris Lamb and Raphael Geissert
    (closes: #478375)

 -- Paul Brossier <piem@debian.org>  Sat, 10 May 2008 19:46:07 +0200

fftw (2.1.3-20.1) unstable; urgency=low

  * Non-maintainer Upload.
  * Use/depend on gfortran based Lapack and Blas packages (Closes: #466366).
  * Build with gfortran instead of g77.

 -- Colin Tuckley <colint@debian.org>  Mon, 25 Feb 2008 09:37:07 +0000

fftw (2.1.3-20) unstable; urgency=low

  * Add working makefiles to fftw-docs (closes: #378550)

 -- Paul Brossier <piem@debian.org>  Thu,  5 Oct 2006 01:53:10 +0200

fftw (2.1.3-19) unstable; urgency=low

  * Patch tests/test_main.c to workaround buggy counter when using gcc 4.1 on
    64 bit machines (many thanks to Vincent Fourmond, closes: #373647)

 -- Paul Brossier <piem@debian.org>  Sat,  1 Jul 2006 11:53:33 +0200

fftw (2.1.3-18) unstable; urgency=low

  * Fix inclusions in generated headers (closes: #372518)
  * Realign paragraphs in long descriptions
  * Change Priority to extra

 -- Paul Brossier <piem@debian.org>  Sat, 10 Jun 2006 14:32:06 +0200

fftw (2.1.3-17) unstable; urgency=low

  * Adopt package (closes: #263126).
  * Acknowledge NMU (closes: #325813, #333631, #334726)
  * Start again packaging from dh_make templates.
  * Fix autoconf/automake
    + update generated files with autoreconf -f -i (closes: #356966)

