=== debian/control ===
Source: fftw
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Thibaut Paumard <thibaut@debian.org>
Section: oldlibs
Priority: optional
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               gfortran,
               libtool,
               mpi-default-dev,
               texinfo,
               texi2html
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/fftw
Vcs-Git: https://salsa.debian.org/science-team/fftw.git
Homepage: https://fftw.org
Rules-Requires-Root: no

Package: fftw2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: fftw-dev,
          mpi-defaults-bin
Conflicts: fftw2-double
Provides: fftw2-double
Description: library for computing Fast Fourier Transforms
 This library computes Fast Fourier Transforms (FFT) in one or more dimensions.
 It is extremely fast. This package contains the shared library version of the
 fftw libraries in double precision.
 .
 To get the static library and the header files you need to install fftw-dev.
 .
 For documentation and test programs, install fftw-docs

Package: fftw-dev
Architecture: any
Depends: fftw2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: fftw-double-dev,
           fftw1-dev
Provides: fftw-double-dev
Description: library for computing Fast Fourier Transforms
 This library computes FFTs in one or more dimensions. It is extremely fast.
 This package contains the statically linked library and the header files.

Package: sfftw2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-defaults-bin,
          sfftw-dev
Conflicts: fftw2-single
Provides: fftw2-single
Description: library for computing Fast Fourier Transforms
 This library computes Fast Fourier Transforms (FFT) in one or more dimensions.
 It is extremely fast. This package contains the shared library version of the
 fftw libraries in single precision.
 .
 To get the static library and the header files you need to install sfftw-dev.
 .
 For documentation and test programs, install fftw-docs

Package: sfftw-dev
Architecture: any
Depends: sfftw2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: fftw-single-dev,
           fftw1-dev
Provides: fftw-single-dev
Description: library for computing Fast Fourier Transforms
 This library computes FFTs in one or more dimensions. It is extremely fast.
 This package contains the statically linked library and the header files.

Package: fftw-docs
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: fftw2
Conflicts: k6fftwgel (<< 1.1-8),
           k7fftwgel (<< 1.2-6),
           p4fftwgel-dev (<< 1.2-5)
Multi-Arch: foreign
Description: documentation for fftw
 This package contains the documentation and test programs for fftw, a Fast
 Fourier Transform library.
