=== debian/rules ===
#!/usr/bin/make -f

ARCHITECTURE := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFFLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --enable-mpi --enable-threads

ifeq ($(ARCHITECTURE), i386)
  ARCHCONFFLAGS := --enable-i386-hacks
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/tmp-double debian/tmp-single
	if [ -d doc_orig ] ; then rm -rf doc; mv doc_orig doc; fi

override_dh_auto_configure-arch:
	F77=gfortran CFLAGS="$(CFLAGS)" CC=mpicc ./configure $(CONFFLAGS) --enable-float --enable-type-prefix $(ARCHCONFFLAGS)

override_dh_auto_configure-indep:
	if [ -e doc/Makefile ] ; then \
	    echo "No need to run configure" ; \
	else \
	    dh_auto_configure -i ; \
	fi

override_dh_auto_build-arch:
	$(MAKE)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#$(MAKE) -C tests check
	./tests/fftw_test  -t -e -v -p 1024 -x 1
	./tests/rfftw_test -t -e -v -p 1024 -x 1
endif
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-single
	$(MAKE) clean
	# double precision
	F77=gfortran CFLAGS="$(CFLAGS)" CC=mpicc ./configure $(CONFFLAGS) $(ARCHCONFFLAGS)
	$(MAKE)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	#$(MAKE) -C tests check
	./tests/fftw_test  -t -e -v -p 1024 -x 1
	./tests/rfftw_test -t -e -v -p 1024 -x 1
endif

override_dh_auto_install-arch:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp-double

override_dh_configure-indep:
	# docs
	F77=gfortran CFLAGS="$(CFLAGS)" ./configure $(CONFFLAGS) --enable-float --enable-type-prefix $(ARCHCONFFLAGS)

override_dh_auto_build-indep:
	cp -a doc doc_orig
	rm -f doc/fftw.info
	$(MAKE) -C doc
	$(MAKE) -C doc html
	$(MAKE) -C FAQ

override_dh_install-indep:
	dh_install -p fftw-docs FAQ/fftw-faq.html/*.html usr/share/doc/fftw-docs/FAQ
	dh_install -p fftw-docs doc/*.html usr/share/doc/fftw-docs/html
	dh_install -p fftw-docs doc/*.gif usr/share/doc/fftw-docs/html
	#
	dh_install -p fftw-docs debian/mpi/Makefile mpi/TOMS_transpose.h \
		mpi/fftw_mpi_test.c mpi/rfftw_mpi_test.c mpi/sched.h \
		mpi/test_sched.c mpi/test_transpose_mpi.c \
		usr/share/doc/fftw-docs/examples/mpi
	#
	dh_install -p fftw-docs debian/tests/Makefile fftw/config.h fftw/fftw-int.h usr/share/doc/fftw-docs/examples/tests
	for i in README fftw_test.c rfftw_test.c test_main.c test_main.h; do \
		dh_install -p fftw-docs tests/$$i usr/share/doc/fftw-docs/examples/tests; \
	done
	#
	dh_install -p fftw-docs debian/threads/Makefile usr/share/doc/fftw-docs/examples/threads
	for i in fftw_threads-int.h fftw_threads_test.c rfftw_threads_test.c; do \
		dh_install -p fftw-docs threads/$$i usr/share/doc/fftw-docs/examples/threads; \
	done

override_dh_install-arch:
	mkdir -p $(CURDIR)/debian/tmp-single/usr/share/doc/sfftw-dev/fortran
	mkdir -p $(CURDIR)/debian/tmp-double/usr/share/doc/fftw-dev/fortran
	cp -a fortran/fftw_f77.i $(CURDIR)/debian/tmp-single/usr/share/doc/sfftw-dev/fortran/
	cp -a fortran/fftw_f77.i $(CURDIR)/debian/tmp-double/usr/share/doc/fftw-dev/fortran/
	dh_install --sourcedir=$(CURDIR)/debian/tmp-single -p sfftw2
	dh_install --sourcedir=$(CURDIR)/debian/tmp-single -p sfftw-dev
	dh_install --sourcedir=$(CURDIR)/debian/tmp-double -p fftw2
	dh_install --sourcedir=$(CURDIR)/debian/tmp-double -p fftw-dev

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_missing-indep:
	dh_missing -i --list-missing

override_dh_compress:
	dh_compress -X.c -X.h -XMakefile
